Page MenuHomePhabricator

Graph extension's static image broken on first render
Closed, ResolvedPublic

Description

Steps to reproduce: Edit https://hu.wikipedia.org/wiki/Szerkeszt%C5%91:Tgr/graph_teszt, change something in the static image (e.g. the text in .signals[1].init and save.
Expected result: you see the static image with the US map and the text
Actual result: the image replaced with the browser's "broken image" icon, but it appears correctly after a page reload

Some sort of race condition with the image rendering of the REST API, I presume.

Event Timeline

Tgr created this task.Dec 27 2015, 10:28 PM
Tgr updated the task description. (Show Details)
Tgr raised the priority of this task from to Needs Triage.
Tgr added a subscriber: Tgr.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 27 2015, 10:28 PM
Tgr set Security to None.

(Although the result I would really expect is that the image is permanently broken, given that the graph itself is broken, but it seems to work somehow...)

Yurik moved this task from Backlog to Prioritized on the Graphs board.Jan 9 2016, 1:10 AM

Change 263160 had a related patch set uploaded (by Yurik):
Cache JSON objects in memcached

https://gerrit.wikimedia.org/r/263160

Change 263160 merged by jenkins-bot:
Cache JSON objects in memcached

https://gerrit.wikimedia.org/r/263160

Yurik added a subscriber: Yurik.Apr 24 2016, 1:59 PM

Is this still an issue, or has the patch fixed it?

Yurik closed this task as Resolved.May 6 2016, 12:52 PM
Yurik claimed this task.